//+------------------------------------------------------------------+
//|                                      Williams_Multi_Currency.mq4 |
//|                                          Copyright  2010,Brooky |
//|                                                           Brooky |
//+------------------------------------------------------------------+
#property copyright "Copyright  2010,Brooky"
#property link      "Brooky"

#property indicator_separate_window
#property indicator_buffers 8
#property indicator_color1 Crimson
#property indicator_color2 LightSeaGreen
#property indicator_color3 DeepSkyBlue
#property indicator_color4 MediumPurple
#property indicator_color5 Green
#property indicator_color6 Purple
#property indicator_color7 LightSalmon
#property indicator_color8 Orange

#property indicator_width1 1
#property indicator_width2 1
#property indicator_width3 1
#property indicator_width4 2
#property indicator_width5 1
#property indicator_width6 1
#property indicator_width7 1
#property indicator_width8 2
//---- input parameters
extern int       WPR_Period = 2000;


#property indicator_minimum -100
#property indicator_maximum 0

#property indicator_level1 -20
#property indicator_level2 -40
#property indicator_level3 -50
#property indicator_level4 -60
#property indicator_level5 -80
//---- buffers
double AUDUSDBuffer1[];
double EURUSDBuffer2[];
double GBPUSDBuffer3[];
double USDCHFBuffer4[];
double USDJPYBuffer5[];
double USDCADBuffer6[];
double NZDUSDBuffer7[];
double CURRENTBuffer8[];
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   SetIndexStyle(0,DRAW_LINE);
   SetIndexBuffer(0,AUDUSDBuffer1);
      SetIndexLabel(0,"AUDUSD");
   SetIndexStyle(1,DRAW_LINE);
   SetIndexBuffer(1,EURUSDBuffer2);
      SetIndexLabel(1,"EURUSD");
   SetIndexStyle(2,DRAW_LINE);
   SetIndexBuffer(2,GBPUSDBuffer3);
      SetIndexLabel(2,"GBPUSD");
   SetIndexStyle(3,DRAW_LINE);
   SetIndexBuffer(3,USDCHFBuffer4);
      SetIndexLabel(3,"USDCHF");
   SetIndexStyle(4,DRAW_LINE);
   SetIndexBuffer(4,USDJPYBuffer5);
      SetIndexLabel(4,"USDJPY");
   SetIndexStyle(5,DRAW_LINE);
   SetIndexBuffer(5,USDCADBuffer6);
      SetIndexLabel(5,"USDCAD");
   SetIndexStyle(6,DRAW_LINE);
   SetIndexBuffer(6,NZDUSDBuffer7);
      SetIndexLabel(6,"NZDUSD");
   SetIndexStyle(7,DRAW_LINE);
   SetIndexBuffer(7,CURRENTBuffer8);
      SetIndexLabel(7,"CURRENT");
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
  int start()
    {
     int limit;
     int counted_bars=IndicatorCounted();
  //---- check for possible errors
     if(counted_bars<0) return(-1);
  //---- the last counted bar will be recounted
     if(counted_bars>0) counted_bars--;
     limit=Bars-counted_bars;
  //---- main loop
     for(int i=0; i<limit; i++)
       {

AUDUSDBuffer1[i]=iWPR("AUDUSD",0,WPR_Period,i);

EURUSDBuffer2[i]=iWPR("EURUSD",0,WPR_Period,i);

GBPUSDBuffer3[i]=iWPR("GBPUSD",0,WPR_Period,i);

USDCHFBuffer4[i]=iWPR("USDCHF",0,WPR_Period,i);

USDJPYBuffer5[i]=iWPR("USDJPY",0,WPR_Period,i);

USDCADBuffer6[i]=iWPR("USDCAD",0,WPR_Period,i);

NZDUSDBuffer7[i]=iWPR("NZDUSD",0,WPR_Period,i);

CURRENTBuffer8[i]=iWPR(NULL,0,WPR_Period,i);
       }
  //---- done
     return(0);
    }
//+------------------------------------------------------------------+